=== debian/control ===
Source: freeipa
Section: net
Priority: extra
Maintainer: Ubuntu FreeIPA <freeipa@lists.launchpad.net>
XSBC-Original-Maintainer:Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@lists.alioth.debian.org>
Uploaders: Timo Aaltonen <tjaalton@ubuntu.com>
Build-Depends: quilt, debhelper (>= 9), dh-autoreconf,
# client
 gettext,
 krb5-user,
 libcurl4-nss-dev,
 libkrb5-dev,
 libldap2-dev,
 libnss3-dev,
 libnspr4-dev,
 libpopt-dev,
 libsasl2-dev,
 libssl-dev,
 libxmlrpc-c3-dev,
 python-all-dev,
 python-kerberos,
 python-krbv,
 python-ldap,
 python-libipa-hbac,
 python-netaddr,
 python-nss,
 python-openssl,
 python-setuptools,
 python-sss,
 python-support,
# server
 389-ds-base-dev (>= 1.1.3),
 libsvrcore-dev,
 uuid-dev,
 selinux-policy-dev,
# tests
 python-lxml,
 python-nose,
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/pkg-freeipa/freeipa.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-freeipa/freeipa.git
Homepage: http://www.freeipa.org

Package: freeipa-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-freeipa (= ${binary:Version}),
 bind9utils,
 certmonger,
 chkconfig,
 krb5-user,
 libcurl3 (>= 7.22.0),
 libnss3-tools,
 libsasl2-modules-gssapi-mit,
 libxmlrpc-core-c3 (>= 1.16.33-3.1ubuntu5),
 ntp,
 python-ldap,
 sssd,
 wget,
Suggests:
 libpam-krb5,
Description: FreeIPA centralized identity framework -- client
 FreeIPA is an integrated solution to provide centrally managed Identity 
 (machine, user, virtual machines, groups, authentication credentials), Policy
 (configuration settings, access control information) and Audit (events,
 logs, analysis thereof). 
 .
 This is the client package.

Package: python-freeipa
Architecture: any
Section: python
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends},
 gnupg,
 iproute,
 python-kerberos,
 python-libipa-hbac,
 python-lxml,
 python-netaddr,
 python-nss,
 python-openssl,
Description: FreeIPA centralized identity framework -- python modules
 FreeIPA is an integrated solution to provide centrally managed Identity 
 (machine, user, virtual machines, groups, authentication credentials), Policy
 (configuration settings, access control information) and Audit (events,
 logs, analysis thereof). 
 .
 This Python module is used by other FreeIPA packages.
