=== debian/watch ===
version=3
http://freeipa.org/downloads/src/freeipa-(.*)\.tar\.gz
