=== debian/control ===
--- 
+++ 
@@ -16,21 +16,29 @@
  libpopt-dev,
  libsasl2-dev,
  libssl-dev,
+ libtalloc-dev,
  libxmlrpc-c3-dev,
  python-all-dev,
+ python-dnspython,
  python-kerberos,
  python-krbv,
  python-ldap,
  python-libipa-hbac,
+ python-memcache,
  python-netaddr,
  python-nss,
  python-openssl,
+ python-polib,
  python-setuptools,
- python-sss,
+ python-sss (>= 1.8.0),
  python-support,
 # server
  389-ds-base-dev (>= 1.1.3),
+ libndr-dev,
+ libndr-standard-dev,
+ libsamba-util-dev,
  libsvrcore-dev,
+ libtevent-dev,
  uuid-dev,
  selinux-policy-dev,
 # tests
@@ -47,15 +55,17 @@
  python-freeipa (= ${binary:Version}),
  bind9utils,
  certmonger,
- chkconfig,
+ keyutils,
  krb5-user,
  libcurl3 (>= 7.22.0),
  libnss3-tools,
  libsasl2-modules-gssapi-mit,
  libxmlrpc-core-c3 (>= 1.16.33-3.1ubuntu5),
  ntp,
+ python-dnspython,
  python-ldap,
- sssd,
+ python-krbv,
+ sssd (>= 1.9.2),
  wget,
 Suggests:
  libpam-krb5,
