=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-ONLY_CLIENT=0
+ONLY_CLIENT=1
 DESTDIR=$(CURDIR)/debian/tmp
 
 PLATFORM="SUPPORTED_PLATFORM=debian"
@@ -65,9 +65,6 @@
 	# fix permissions
 	find $(CURDIR)/debian/tmp -name "*.mo" -type f -exec chmod -x "{}" \;
 
-	# fix permissions
-	find $(CURDIR)/debian/tmp -name "*.mo" -type f -exec chmod -x "{}" \;
-
 	dh_install --list-missing
 
 %:
