=== debian/changelog ===
freeipa (3.2.1-0ubuntu1) saucy; urgency=low

  * Merge from unreleased debian git
    - rebase to 3.2.1
    - add ipa-client-automount to freeipa-client, and patch it so it
      works on Debian/Ubuntu

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Mon, 17 Jun 2013 22:15:21 +0300

freeipa (3.2.1-1) UNRELEASED; urgency=low

  [ Michele Baldessari ]
  * Initial release (Closes: #12345)
  * New upstream
  * Dropped 10_ipa_kpasswd patch, applied upstream

  [ Timo Aaltonen ]
  * New upstream release.
  * Remove radius subpackages.
  * Migrate to source format 3.0 (quilt).
  * Migrate to dh.
  * Fix dependencies.
  * Add no-testcert.patch to not fail make-testcert.
  * Bump compat and debhelper build-depends to 9.
  * Add missing files to freeipa.install.
  * Add --fail-missing for dh_install.
  * copyright: Updated, with OpenSSL exception.
  * control: Add python-libipa-hbac to build-depends.
  * control: Add ${shlibs:Depends} to python-freeipa depends.
  * rules: Strip the executable bit from translation files.
  * fix-format-string.diff: Fix build errors, thanks Krzysztof Klimonda!
  * Use dh_python2.
  * Add DEP-3 compliant headers to the patches.
  * control: client; Move libpam-krb5 to Suggests.
  * control: Update the maintainer address and repo location.
  * control: Fix package descriptions.
  * control: Add python-krbv, python-dnspython, keyutils to client depends.
  * Add fix-nss-include.diff, fix nss include path.
  * Add no-test-lang.diff, test_lang is gone.
  * correct-python-path.diff: Fallback on the correct path if rpm query
    fails.
  * dont-search-platform-path.diff: Don't use Python.h from the
    platform specific path.
  * fix-install-layout.diff: Pass an option to setup-client.py to
    install the python bits to the correct path.
  * fix-ntpdate-opts.diff: Drop -U from nptdate opts, we don't have
    that.
  * Add support for Debian platform.
  * port-ipa-client-automount.diff: Patch i-c-a so it works on Debian.

  [ Nick Hatch ]
  * Added three patches
    - fix-symlink-exclusion.diff: Don't exclude symlinks when loading
      plugins
    - fix-ldap-conf-path.diff: Patch client installer to use correct LDAP
      conf path.
    - check-dbus-before-starting.diff: Check to see if dbus is running
      before attempting to start it

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 01 Nov 2011 10:52:25 -0400

freeipa (3.2.0-0ubuntu1) saucy; urgency=low

  * Merge from unreleased debian git
    - rebase to 3.2.0

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 22 May 2013 17:42:30 +0300
