## freeipa 3.3.4

=== Makefile ===
--- 
+++ 
@@ -52,7 +52,12 @@
 
 PYTHON ?= $(shell rpm -E %__python)
 
-all: bootstrap-autogen server
+# Uncomment to increase Java stack size for Web UI build in case it fails
+# because of stack overflow exception. Default should be OK for most platforms.
+#JAVA_STACK_SIZE ?= 8m
+#export JAVA_STACK_SIZE
+
+all: bootstrap-autogen server tests
 	@for subdir in $(SUBDIRS); do \
 		(cd $$subdir && $(MAKE) $@) || exit 1; \
 	done
@@ -71,7 +76,10 @@
 	cd ipa-client; if [ ! -e Makefile ]; then ../autogen.sh --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libdir=$(LIBDIR); fi
 	cd install; if [ ! -e Makefile ]; then ../autogen.sh --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libdir=$(LIBDIR); fi
 
-install: all server-install
+tests-man-autogen: version-update
+	cd ipatests/man; if [ ! -e Makefile ]; then ../../autogen.sh --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libdir=$(LIBDIR); fi
+
+install: all server-install tests-install
 	@for subdir in $(SUBDIRS); do \
 		(cd $$subdir && $(MAKE) $@) || exit 1; \
 	done
@@ -118,8 +126,11 @@
 		> ipapython/setup.py
 	sed -e s/__VERSION__/$(IPA_VERSION)/ ipapython/version.py.in \
 		> ipapython/version.py
+	sed -e s/__VERSION__/$(IPA_VERSION)/ ipatests/setup.py.in \
+		> ipatests/setup.py
 	perl -pi -e "s:__NUM_VERSION__:$(IPA_NUM_VERSION):" ipapython/version.py
 	perl -pi -e "s:__API_VERSION__:$(IPA_API_VERSION_MAJOR).$(IPA_API_VERSION_MINOR):" ipapython/version.py
+	touch -r ipapython/version.py.in ipapython/version.py
 	sed -e s/__VERSION__/$(IPA_VERSION)/ daemons/ipa-version.h.in \
 		> daemons/ipa-version.h
 	perl -pi -e "s:__NUM_VERSION__:$(IPA_NUM_VERSION):" daemons/ipa-version.h
@@ -133,6 +144,7 @@
 	if [ "$(SUPPORTED_PLATFORM)" != "" ]; then \
 		sed -e s/SUPPORTED_PLATFORM/$(SUPPORTED_PLATFORM)/ ipapython/services.py.in \
 			> ipapython/services.py; \
+		touch -r ipapython/services.py.in ipapython/services.py; \
 	fi
 
 	if [ "$(SKIP_API_VERSION_CHECK)" != "yes" ]; then \
@@ -148,6 +160,18 @@
 	else \
 		$(PYTHON) setup.py install --root $(DESTDIR); \
 	fi
+
+tests: version-update tests-man-autogen
+	cd ipatests; $(PYTHON) setup.py build
+	cd ipatests/man && $(MAKE) all
+
+tests-install: tests
+	if [ "$(DESTDIR)" = "" ]; then \
+		cd ipatests; $(PYTHON) setup.py install; \
+	else \
+		cd ipatests; $(PYTHON) setup.py install --root $(DESTDIR); \
+	fi
+	cd ipatests/man && $(MAKE) install
 
 archive:
 	-mkdir -p dist
@@ -228,7 +252,6 @@
 
 maintainer-clean: clean
 	rm -fr $(RPMBUILD) dist build
-	cd selinux && $(MAKE) maintainer-clean
 	cd daemons && $(MAKE) maintainer-clean
 	cd install && $(MAKE) maintainer-clean
 	cd ipa-client && $(MAKE) maintainer-clean
