=== debian/changelog ===
freeipa (3.3.4-0ubuntu3) trusty; urgency=medium

  * Merge from unreleased debian git:
    Fix ipa-client-install issues (LP: #1282818)
    - fix auth platform module
    - use new pykerberos api
    - don't install a default conf
    - use sqlite-based nssdb's instead of old

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 10 Apr 2014 11:57:53 +0300

freeipa (3.3.4-0ubuntu2) trusty; urgency=medium

  * Update build-deps for the xmlrpc-c 1.33.06 transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 22 Mar 2014 11:07:49 -0600

freeipa (3.3.4-0ubuntu1) trusty; urgency=low

  * Merge from unreleased debian git.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 03 Sep 2013 17:13:27 +0300

freeipa (3.3.4-1) UNRELEASED; urgency=low

  [ Michele Baldessari ]
  * Initial release (Closes: #734703)
  * New upstream
  * Dropped 10_ipa_kpasswd patch, applied upstream

  [ Timo Aaltonen ]
  * New upstream release.
  * Remove radius subpackages.
  * Migrate to source format 3.0 (quilt).
  * Migrate to dh.
  * Fix dependencies.
  * Add no-testcert.patch to not fail make-testcert.
  * Bump compat and debhelper build-depends to 9.
  * Add missing files to freeipa.install.
  * Add --fail-missing for dh_install.
  * copyright: Updated, with OpenSSL exception.
  * control: Add python-libipa-hbac to build-depends.
  * control: Add ${shlibs:Depends} to python-freeipa depends.
  * rules: Strip the executable bit from translation files.
  * Use dh_python2.
  * Add DEP-3 compliant headers to the patches.
  * control: client; Move libpam-krb5 to Suggests.
  * control: Update the maintainer address and repo location.
  * control: Fix package descriptions.
  * control: Add python-krbv, python-dnspython, keyutils to client depends.
  * Add no-test-lang.diff, test_lang is gone.
  * correct-python-path.diff: Fallback on the correct path if rpm query
    fails.
  * dont-search-platform-path.diff: Don't use Python.h from the
    platform specific path.
  * fix-install-layout.diff: Pass an option to setup-client.py to
    install the python bits to the correct path.
  * fix-ntpdate-opts.diff: Drop -U from nptdate opts, we don't have
    that.
  * Add support for Debian platform.
  * port-ipa-client-automount.diff: Patch i-c-a so it works on Debian.
  * rules: Don't run tests on server either, would never work during package
    build.

  [ Nick Hatch ]
  * Added three patches
    - fix-symlink-exclusion.diff: Don't exclude symlinks when loading
      plugins
    - fix-ldap-conf-path.diff: Patch client installer to use correct LDAP
      conf path.
    - check-dbus-before-starting.diff: Check to see if dbus is running
      before attempting to start it

  [ Timo Aaltonen ]
  * use-new-nssdb.diff: Use sqlite-based nssdb's instead of old.
  * control: Add python-dnspython and python-ldap to python-freeipa
    Depends.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 01 Nov 2011 10:52:25 -0400
