=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: net
 Priority: extra
 Maintainer: Ubuntu FreeIPA <freeipa@lists.launchpad.net>
-XSBC-Original-Maintainer:Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@lists.alioth.debian.org>
+XSBC-Original-Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@lists.alioth.debian.org>
 Uploaders: Timo Aaltonen <tjaalton@ubuntu.com>
 Build-Depends: quilt, debhelper (>= 9), dh-autoreconf,
 # client
  gettext,
  krb5-user,
  libcurl4-nss-dev,
- libkrb5-dev,
+ libkrb5-dev (>= 1.12),
  libldap2-dev,
  libnss3-dev,
  libnspr4-dev,
@@ -17,7 +17,7 @@
  libsasl2-dev,
  libssl-dev,
  libtalloc-dev,
- libxmlrpc-c3-dev,
+ libxmlrpc-core-c3-dev,
  python-all-dev,
  python-dnspython,
  python-kerberos,
@@ -34,14 +34,20 @@
  python-support,
 # server
  389-ds-base-dev (>= 1.1.3),
- libndr-dev,
- libndr-standard-dev,
- libsamba-util-dev,
+ libkrad-dev,
+ libsss-idmap-dev,
+ libsss-nss-idmap-dev,
  libsvrcore-dev,
  libtevent-dev,
+ libunistring-dev,
+ libverto-dev,
+ rhino,
+ samba-dev,
+ selinux-policy-dev,
  uuid-dev,
- selinux-policy-dev,
 # tests
+ check,
+ libcmocka-dev,
  python-lxml,
  python-nose,
 Standards-Version: 3.9.3
@@ -55,7 +61,6 @@
  python-freeipa (= ${binary:Version}),
  bind9utils,
  certmonger,
- keyutils,
  krb5-user,
  libcurl3 (>= 7.22.0),
  libnss3-tools,
@@ -83,7 +88,10 @@
 Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends},
  gnupg,
  iproute,
+ keyutils,
+ python-dnspython,
  python-kerberos,
+ python-ldap,
  python-libipa-hbac,
  python-lxml,
  python-netaddr,
