=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,10 @@
 override_dh_auto_configure:
 	dh_auto_configure -Dipa-client
 ifneq ($(ONLY_CLIENT), 1)
-	dh_auto_configure -Ddaemons -- --with-openldap
+	dh_auto_configure -Ddaemons -- \
+		--with-openldap \
+		--with-systemdsystemunitdir=/lib/systemd/system
+
 	dh_auto_configure -Dinstall
 endif
 
@@ -40,9 +43,8 @@
 	make $(PLATFORM) IPA_VERSION_IS_GIT_SNAPSHOT=no client
 endif
 
-ifeq ($(ONLY_CLIENT), 1)
+# tests would just fail, they need a proper environment with 389 running et al
 override_dh_auto_test:
-endif
 
 override_dh_auto_install:
 ifneq ($(ONLY_CLIENT), 1)
@@ -52,11 +54,11 @@
 #	cd selinux
 #	make $(PLATFORM) IPA_VERSION_IS_GIT_SNAPSHOT=no install DESTDIR=$(DESTDIR)
 	cd ..
+
+	install -m 0644 contrib/completion/ipa.bash_completion $(DESTDIR)/etc/bash_completion.d/ipa
 else
 	make $(PLATFORM) IPA_VERSION_IS_GIT_SNAPSHOT=no client-install DESTDIR=$(DESTDIR)
 endif
-
-	touch $(DESTDIR)/etc/ipa/default.conf
 
 	# purge .la files
 	find $(CURDIR)/debian/tmp -name "*.la" -type f -exec rm -f "{}" \;
@@ -65,7 +67,7 @@
 	# fix permissions
 	find $(CURDIR)/debian/tmp -name "*.mo" -type f -exec chmod -x "{}" \;
 
-	dh_install --fail-missing
+	dh_install --list-missing
 
 %:
 	dh $@ --with quilt,autoreconf,python2
